Clusters
Connect a cluster
Scope: agent:write
Authorization
bearerAuth AuthorizationBearer <token>
Personal Access Token (PAT) or Service Access Token (SAT). Pass the token in the Authorization header: Bearer admp_...
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/v1/clusters" \ -H "Content-Type: application/json" \ -d '{ "name": "string" }'{ "cluster": { "id": "string", "name": "string", "status": "CLUSTER_STATUS_UNSPECIFIED", "issuer_url": "string", "key_ids": [ "string" ], "keys_updated_at": "2023-01-15T01:30:15.01Z", "created_by": { "id": "string", "display_name": "string", "email": "string" }, "created_at": "2023-01-15T01:30:15.01Z", "reported_key_ids": [ "string" ], "keys_reported_at": "2023-01-15T01:30:15.01Z" }}